/*****************************************************************************
* FileName     : moia_define.h                                               *
* SystemName   : ADTec-Moia                                                  *
* Version      : 3.0                                                         *
* ProgramName  : 궨ͷļ                                                *
* OS           : AIX 5.0.0                                                   *
* DB           : DB2 SDK 8.1.0                                               *
*              : ORACLE 9i                                                   *
*              : INFORMIX IDS 2000                                           *
* History      :                                                             *
* YYYY/MM/DD Position     Author        Description                          *
* ---------------------------------------------------------------------      *
* 2006/05/23 Shanghai     Tangsui       Created                              *
*****************************************************************************/

#ifndef   MOIADEFINE_H
#define   MOIADEFINE_H

/******************** ݿ ************************/
#ifndef   SQLCODE 
#define   SQLCODE              (sqlca.sqlcode)
#endif

#ifndef   SQLISM
#define   SQLISM               (sqlca.sqlerrd[1])
#endif

#ifndef   SQLREC
#define   SQLREC               (sqlca.sqlerrd[2])
#endif

#ifndef   SQLSUCC
#define   SQLSUCC              (0)
#endif

#ifndef   SQLNOTFOUND

#ifdef ORACLE
#define   SQLNOTFOUND          (1403)
#define   SQLNULL              (-1405)
#define   SQLMULTI             (-1)
#define   SQLBUSY              (-54)
#define   SQLSELMUCH           (1427)
#else
#define   SQLNOTFOUND          (100)
#define   SQLNULL              (100) /* db2 ʱûпֶδ*/
#define   SQLMULTI             (-803)
#define   SQLBUSY              (100) /* db2 ûnowait */
#define   SQLWORK              (-880)
#define   SQLSELMUCH           (-811)
#endif

#endif

#define   TRACE_OFF            100            

#define   MOIA_DATE_FMT        "YYYYMMDD"   /* MOIA ֶεĸʽ */
#define   DATE_LEN             8            
#define   TIME_LEN             6            

#define   LIC_DATE_FMT         "YYYY/MM/DD"  /* LICENSEֶεĸʽ */
#define   LIC_LEN             8            

#define   QUEUE_KEEP_DAYS      10    /* гɹ */
#define   MD5KEYLEN            16    /* MD5ܳȶ壬 ʵʳΪֵ */

#define INIT_STAT_STR( col )  init_stat_str( col, sizeof( col ) );

#define MOIA_SQL_CHECK( msg ) \
if( SQLCODE != SQLSUCC && SQLCODE != SQLNOTFOUND && SQLCODE != SQLNULL ) { \
    db_log( __FILE__,__LINE__,"%s", msg );\
    if( G_has_trans == _YES_ ) db_rollback_work(); \
    return _FAIL_;\
}

/* close by Tangsui on 20070331
#define MOIA_REC_CHECK( msg ) \
if( SQLREC != 1 ) { \
    db_log( __FILE__,__LINE__,"%s", msg );\
    if( G_has_trans == _YES_ ) db_rollback_work(); \
    return _FAIL_;\
}
*/

#define MOIA_FUNC_ERR( func_name ) { \
    err_log( __FILE__,__LINE__,"%s() failed!", func_name ); \
    if( G_has_trans == _YES_ ) db_rollback_work(); \
    return _FAIL_; \
}

#define OS_FUNC_ERR( func_name ) { \
    err_log( __FILE__,__LINE__,"%s() failed! errno:[%d]", func_name, errno ); \
    if( G_has_trans == _YES_ ) db_rollback_work(); \
    return _FAIL_; \
}

#define MOIA_ERR_LOG( fmt, msg )  err_log( __FILE__, __LINE__, fmt, msg );

#define ZOOTIMEOUT 300
#define ZOOCONNTXT "Hello zookeeper!"



/******************** ؽ ************************/
#define   _SUCC_               0   /* ɹ  */
#define   _FAIL_               -1  /* ʧ  */
#define   _NORUN_              -2  /* δִ,ڲƥʱ */
#define   _NOT_EXIST           -3  /* ļ/·         */
#define   _NOT_DIR             -4  /* ǺϷ·            */
#define   _NOT_FILE            -5  /* ǺϷļ          */
#define   _NO_NET_             -6  /* ޷        */
#define   _NET_ERR             -7  /* 紫            */
#define   JOB_AT_FAIL          -8  /* ҵݻʧ        */
#define   OTHER_ABNOR          -9  /* 쳣ֵ          */

#define   _NORC_               1   /* ޼¼,ݿ/ļȡ */
#define   _GONO_               2   /* 鲻ͨ,־, */
#define   _PTSC_               3   /* ɹ,reject¼  */
#define   _WARN_               4   /* ɹ,ھ */
#define   _NEVER_              5   /* ؽ */

#define   _YES_               1    /* //  //  */
#define   _NO_                0    /* ///ر/  */
#define   _INIT_              -1   /* ʼ״̬/һ/޳ֵ */
#define   _LOCK_              -3   /* ־ */

#define   _YES_C_            '1'  /* //  //  */
#define   _NO_C_             '0'  /* ///ر/  */
#define   _IGN_C_            '9'  /* ///ر/  */

#define   AVB_REC_INVALID    '9'   /* avb_flag: ¼ */
#define   AVB_REC_VALID      '1'   /* avb_flag: ¼Ч */

#define   INPUT_CNT_MAX       10000              /* Ǽ */
#define   UPD_INPUT_CNT       "upd_input_cnt"    /* ޸ļĿִг*/


/******************** Ŀ¼Ȩ **********************/
#define  DIR_MODE   S_IRUSR|S_IWUSR|S_IXUSR|S_IRGRP|S_IXGRP|S_IROTH|S_IXOTH

/*-----------------------    ĺ -*/
#define        CAL_RANDOM   '0'          /**/
#define        CAL_DATE     '1'          /**/
#define        CAL_WEEK     '2'          /**/

#define        CAL_NOT_DO   '0'          /*ִָ,δָڶִ*/
#define        CAL_NEED_DO  '1'          /*ִָ*/


/*-----------------------  ȼƻ ĺ */
/* pln_info.plan_type */
#define        DAILY_PLAN        '1'      /* ճƻ  */
#define        MANUAL_PLAN       '2'      /* ֹƻ  */
#define        CYCLE_PLAN        '3'      /* ѭƻ  */


/*-----------------------   /¼״̬ ĺ -*/
/* event_stat */
#define        EVT_INIT           1001  /* ʼ           */
#define        EVT_READY          8001  /* Ѿ/    */
#define        EVT_NEVER          2001  /*          */
#define        EVT_EXPIRE         5001  /* ʧЧ           */
/* evt_glob_flag */
/* evt_flow_flag */
#define        EVT_FLAG_NO             '0'  /* ¼δ           */
#define        EVT_FLAG_YES            '1'  /* ¼           */
#define        EVT_FLAG_NEVER          '9'  /* ¼         */

/* ---------------------  DSҵ״̬ ĺ ----*/
#define        DS_CHK_INIT      -1  /* δм                    */
#define        DS_CHK_SUCC       0  /*                         */
#define        DS_CHK_FAIL       1  /* 鲻ͨ,               */
#define        DS_CHK_DEAL       2  /* ڼ                        */

/* ---------------------  ־ӡ ĺ ----*/
#define        MLOG_DEBUG        -9  /* debug ־ */
#define        MLOG_INFO         0  /* ־ */
#define        MLOG_WARN         1  /* ־ */
#define        MLOG_ERR          2  /* ־ */
#define        MLOG_FATAL        3  /* ش־ */

/********************** ҵ **********************************/
/* func_type */
/* deal_flag */
#define        DL_DSEE_JOB     '2'  /* DSEE */
#define        DL_DSSE_JOB     '3'  /* DSSE */
#define        DL_DBSJ_JOB     '5'  /* 洢ҵ */
#define        DL_CMDJ_JOB     '9'  /* ͨ */

#define        DL_PERL_JOB     'a'  /* PERLҵ */
#define        DL_OSHELL_JOB   'b'  /* OSHELLҵ */
#define        DL_PYTHON_JOB   'c'  /* PYTHONҵ */
#define        DL_JAVA_JOB     'd'  /* JAVAҵ */
#define        DL_SCALA_JOB    'e'  /* SCALAҵ */
#define        DL_WEBSRV_JOB   'f'  /* web serviceҵ */
#define        DL_DATASRV_JOB  'g'  /* data serviceҵ */
#define        DL_KETTLE_JOB   'h'  /* kettle ҵ */
#define        DL_INFORM_JOB   'i'  /* informatica ҵ */

#define        DL_PLUG_JOB     'z'  /* ҵ */

/* pnd_jobstat.res_type */
#define        DSEE_C_RES   '1'  /* DL_DSEE_JOBETL ClientڵռԴ */
#define        DSEE_S_RES   '2'  /* DL_DSEE_JOBETL ServerڵռԴ */
#define        DSSE_S_RES   '3'  /* DL_DSSE_JOBETL ServerڵռԴ */
#define        CMDJ_S_RES   '4'  /* DL_COM_JOB ETL ServerڵռԴ */
#define        DBSJ_S_RES   '5'  /* DL_DBS_JOB ETL ServerڵռԴ */
#define        DBSJ_C_RES   '6'  /* DL_DBS_JOB ݿڵռԴ */

#define        DSEE_MAST_RES   0  /* DL_DSEE_JOBָӷռԴ*/
#define        DBSJ_MAST_RES   0  /* DBSҵָӷռԴ*/


/*-----------------------   licenseƷʽĺ -*/
/* control_way */
#define        CTRL_BY_CPU        '0'  /* CPU   */
#define        CTRL_BY_PROC       '1'  /*     */
#define        CTRL_BY_JOB        '2'  /* JOB     */

/*-----------------------   ڵ״̬ ĺ -*/
/* pnode_stat */
#define        PNODE_NORMAL      0  /*      */
#define        PNODE_DEAD        1  /* ڵ */
#define        PNODE_NETERR      2  /* Ͽ */
#define        MAYBE_NETERR      3  /* Ͽ */
#define        PNODE_SOFTERR     4  /*  */
#define        MAYBE_SOFTERR     5  /*  */
#define        PNODE_UNUSED      6  /* δ   */

/* ״̬Դʱʹú */
#define        PNODE_CPU_LACK    7  /* CPUѵֵ  */
#define        PNODE_MEM_LACK    8  /* ڴѵֵ */
#define        PNODE_RESMD       9  /* Դ޸ */

/*-----------------------   Դ״̬״̬ ĺ -*/
/* job_cnode.res_stat */
/* job_pnode.res_stat */
#define        RES_OK       0  /* ,         */
#define        RES_UPLMT    1  /* Դֵ        */
#define        JOB_UPLMT    2  /* ҵֵ        */
#define        RES_LACK     3  /* Դ          */
#define        STAT_ABNOR   4  /* ڵ״̬쳣      */
#define        INDEP_LACK   5  /* ڵԴ      */

/* pnd_resstat.res_stat */ 
#define        HW_RES_OK      '0'  /* ӲԴ */
#define        HW_CPU_LACK    '1'  /* CPUѵֵ  */
#define        HW_MEM_LACK    '2'  /* ڴѵֵ */


/* param_type  */
#define       PARAM_NUMBER       '0'
#define       PARAM_DATE         '1'
#define       PARAM_STRING       '2'
#define       PARAM_ENCSTR       '3'
#define       PARAM_ENV          '4'

/* plug_type  */
#define       ASYNC_PLUG         '0'   /* 첽 */
#define       SYNC_PLUG          '1'   /* ͬ */

/* ͣ */
#define       EXEC_PLUG          '1'
#define       STAT_PLUG          '2'
#define       LOG_PLUG           '3'
#define       STOP_PLUG          '4'


/* shift_rule[0] */
#define        SHIFT_ONLY_ONCE   '1'  /* һȻֻһ */
#define        SHIFT_NO_LIMIT    '2'  /* м         */

/* Ƕײ㼶 */
#define        MAXLEVEL       5 

/* ͬ */
#define        MAXSEQ         10000

/* tragger_type */
#define        TRIG_SUCC      '1'   /* ɹ¼ */
#define        TRIG_FAIL      '2'   /* ʧܴ¼ */
#define        TRIG_COMP      '3'   /* ɴ¼ */
#define        TRIG_WARN      '4'   /* ʱ¼ */


/*
 * ȶ
 */
/* obj_type */
#define       PLAN            '1'       /* ƻ  */
#define       TASK            '2'       /*   */
#define       SEQ             '3'       /*   */
#define       JOB             '4'       /* ҵ  */

/* ܼ״̬
 * pln_stat.plan_stat 
 * tak_stat.task_stat 
 * seq_stat.seq_stat
 * job_stat.job_stat 
 */

#define       _WAIT_STAT_          1001    /*      */
#define       _DEAL_STAT_          4001    /* ڴ   */
#define       _SUCC_STAT_          8001    /* ɹ       */
#define       _FAIL_STAT_          5001    /* ʧ       */

/* ϸ״̬ 
 * pln_stat.child_stat 
 * tak_stat.child_stat 
 * seq_stat.child_stat
 * job_stat.child_stat 
 */

/* ״̬ */
#define        _WAIT_SCAN_     1001   /*              */
#define        _WAIT_RES_      1002   /*              */
#define        _WAIT_DEAL_     1003   /* ִ             */

/* ڴ */
#define        _DEAL_NOR_      4001  /* ڴ            */
#define        _DEAL_REDO_     4002  /* ڴ ()     */
#define        _DEAL_WARN_     4003  /* ڴ ()     */
#define        _DEAL_ERR_      4004  /* ڴ (ʧ)   */
#define        _DEAL_HALT_     4005  /* ڴ (ж)   */
#define        _DEAL_SUB_WARN_ 4006  /* ڴ (¼) */

/* ʧ */
#define        _SUCC_NOR_      8001   /* ɹ              */
#define        _SUCC_IGN_      8002   /* ɹ ()       */
#define        _SUCC_WARN_     8003   /* ɹ ()       */
#define        _SUCC_CTRL_     8004   /* ɹ (ִз֧) */
#define        _SUCC_INCAL_    8005   /* ɹ (ִ)   */

/* ɹ */
#define        _FAIL_NOR_      5001   /* ʧ              */
#define        _FAIL_HALT_     5002   /* ʧ (ж)       */
#define        _FAIL_BESP_     5003   /* ʧ (ǰűʧ) */
#define        _FAIL_AFSP_     5004   /* ʧ (űʧ) */
#define        _FAIL_LOSE_     5005   /* ʧ (̶ʧ)   */
#define        _FAIL_INIT_     5006   /* ʧ (ʼʧ) */

/*-----------------------   ״̬ ĺ -*/
/* que_deal.deal_stat */
#define        DL_IDLE        0     /* ȴ */
#define        DL_OUTQUE      1     /* ȡ */
#define        DL_DEAL        2     /* ڴ */
#define        DL_SEND        3     /* ҵ */

/*-----------------------   ļ ĺ -*/
#define        FIXED_FILE     0 /* ļ */
#define        DELI_FILE      1 /* ļ,ָļ,䳤ļ */

/******************** ݿඨ ************************/
#define        DB_SELECT       0   /*  */
#define        DB_DELETE       1   /* ɾ */
#define        DB_UPDATE       2   /* ޸ */
#define        DB_INSERT       3   /*  */
#define        UPD_BY_TM       4   /* ʱ޸,session */

/******************** ݿ ************************/
#define        DB_PRIMKEY      0   /* Ϊ */
#define        DB_UNIQIDX1     1   /* õһΨһΪ */
#define        DB_UNIQIDX2     2   /* õڶΨһΪ */
#define        DB_UNIQIDX3     3   /* õΨһΪ */
#define        DB_UNIQIDX4     4   /* õΨһΪ */
#define        DB_UNIQIDX5     5   /* õΨһΪ */
#define        DB_UNIQIDX6     6   /* õΨһΪ */
#define        DB_UNIQIDX7     7   /* õΨһΪ */

/******************** ڵ***************************/
/*  .srv_pnode */
#define        SRV_SLAVER        0  /* ӽڵ */
#define        SRV_MASTER        1  /* ڵ */

/******************** ״̬ ****************************/
/*  .proc_stat  */
#define        SRV_INIT        0  /* ʼ */
#define        SRV_BUSY        1  /* æµ */
#define        SRV_IDLE        2  /*  */
#define        SRV_NEW_REC     3  /* ¼¼,ɨ */
#define        SRV_RESTART     4  /* Ϊ˳ */
#define        SRV_STOP        8  /* δ */
#define        SRV_EXIT        9  /* ˳ */
#define        SRV_ABNOR       99 /* 쳣 */

/******************** ҵʼ ******************************/
#define        NODE_DOMAIN        '1'  /* ̳нڵϵ */
#define         JOB_DOMAIN        '0'  /* ҵԼʼ */

/********************* ȶ״̬־ *******************/
#define          LOCK          '1'    /*    */
#define        UNLOCK          '0'    /*  */

/*********************  *********************/
/*Param_type*/
#define            CONST_VAR     '0'     /*      */
#define             DATE_VAR     '1'     /* Ͳ   */
#define           STRING_VAR     '2'     /* ַͲ */
#define         STRING_E_VAR     '3'     /* ַͲ */

/********************* ҵ *********************/
/* JOB_type */
#define          FUNC_JOB        '0'      /* ҵ */
#define          FUNC_CTRL       '1'      /* ؼҵ */

/********************* ҵֵʾ *********************/
/* ret_flag */
#define          RET_SUCC        '0'      /* سɹ */
#define          RET_FAIL        '1'      /* ʧ */
#define          RET_WARN        '2'      /* ɹо */
#define          RET_DEAL        '3'      /* ڴ */

/********************* ҵֵ *********************/
/* ret_code */
#define          LOSE_FAIL      77777777       /* ̶ʧֵ */
#define          PRSP_FAIL      88888888       /* ǰʧֵܷ */
#define          AFSP_FAIL      99999999       /* ʧֵܷ */

/********************* ҵֵʾ *********************/
/* rela_flag */
#define          RELA_STAT        '0'      /* ״̬ */
#define          RELA_CODE        '1'      /* ֵ */

/********************** ܱ־ *****************************/
/* var_flag */
#define          ENC_NO         '1'      /* δ */
#define          ENC_YES        '2'      /*  */

/******************** license״̬ ****************************/
#define        LIC_NORMAL         0  /*          */
#define        LIC_EXPIRED        -1 /*          */
#define        LIC_JOBLIMIT       -2 /* ҵ */
#define        LIC_PNODELIMIT     -3 /* ڵ */
#define        LIC_INVALID        -9 /* ǷLicense  */


/* slave ctrl״̬ */
#define    CTRL_RUNING  "1"
#define    CTRL_ABORT   "0"
#define    CTRL_STOP    "2"


#define SUCC_FLAG   "1"    /* ִгɹ */
#define FAIL_FLAG   "0"    /* ִʧ */
#define KEEP_FLAG   "2"    /* ձ־ */

/* MOIA Ӧĺ */
#define MJOB                "mjob"
#define MOIALSNR            "MoiaLsnr"
#define LSNRSTOP            "lsnrstop"
#define MTASKSCAN           "MTaskScan"
#define MTASKCTRL           "MTaskCtrl"
#define MCTRLSRV            "MCtrlSrv"
#define MCTRLAGT            "MCtrlAgt"
#define MTASKDEAL           "MTaskDeal"
#define MTASKRES            "MTaskRes"
#define MRECVCHK            "MRecvChk"
#define MREFERCHK           "MReferChk"
#define MCMDSRV             "MCmdSrv"
#define MCLMAGT             "MClmAgt"
#define MCLMSRV             "MClmSrv"
#define MLICMNG             "MLicMng"
#define MSRVADM             "MSrvAdm"
#define MCMDCHK             "MCmdChk"
#define MPARACHK            "MParaChk"
#define MDATADEAL           "MDataDeal"
#define MTIMESCAN           "MTimeScan"
#define MFILESCAN           "MFileScan"
#define MLOGCLR             "MLogClr"
#define MOIAVER             "MoiaVer"


#define PAUSE           '1'          /* ͣ־ */

#define TMOUT_SEC       5           /* time out */
#define PROC_SLEEP      1           /* time out */

#define SRV_EXIT_WAIT_SEC   10          /* ֹȴʱ䣨ֵʵʱԳڴʱ䣩 */
#define SRV_START_WAIT_SEC  5           /* ȴʱ䣨ֵʵʱԳڴʱ䣩 */

#define SND_SLEEP_TIME (60*5)           /* send sleep time */

#define MINI_JOB_SIZE  (50*1000*1000) /* ΪСʵС 50M */

#define MOIA_LIC_CFG        "lic_cfg.txt"

/******************* ־ļ ************************/
#define   MOIAJOBLOG   "jobrun.log"
#define   MOIALICLOG   ".mlic.log"
#define   MOIAERRLOG   "moia.err"
#define   MOIATRCLOG   "moia.trc"
#define   MOIADBGLOG   "moia.log"
#define   DBERRLOG     "dberr.log"

/**************** MOIAҵԤ践ֵ *******************/
/* job_fcrc.fcrc_type,s_job_fcrc.fcrc_type           */
#define   FCRC_SINGLE       1
#define   FCRC_AREA         2
#define   FCRC_OTHER        3



/******************** ȶ ************************/
#define   DBNAME_LEN           32             /* ݿ       */
#define   DBUSER_LEN           20             /* ݿû     */
#define   DBUSRPWD_LEN         32             /* ݿû */
#define   TABNAME_LEN          128            /* ݿ */
#define   PATHLEN              256            /* ļ·   */
#define   FILENAME_LEN         256            /* ·Ĵļ   */
#define   FULLPATHLEN          512            /* ȫ·ļ */
#define   ORGLEN               6              /* /кų    */


/******************* 붨 ************************/
/* һλ ҵ׶ */
#define   SCAN_STEP     '1'   /*   ҵɨʧ         */
#define   RESC_STEP     '2'   /*   Դʧ         */
#define   CTRL_STEP     '3'   /*   ҵʧ         */
#define   STAT_INIT     '4'   /*   ҵʼ״̬޸ʧ */
#define   OBJT_INIT     '5'   /*   ҵʼʧ   */
#define   PARA_INIT     '6'   /*   ҵʼʧ   */
#define   EXEC_STEP     '7'   /*   ҵִʧ         */
#define   STAT_OVER     '8'   /*   ҵ״̬޸ʧ */


#define CON_TIMES          1.5   /* ҵʱ䳬ʱ50%  */
#define WAR_TIMES          3     /* ҵʱ䳬ʱ300% */


#define MOIAENV            "moia.env"    /* Moiaļ */

#define  ACT_LIST_PNODE  0   
#define  ACT_START_SRV  1
#define  ACT_STOP_SRV   2


/* dbs_type */
#define DB_KIND_ORA         '1'   /* ORACLE   */
#define DB_KIND_DB2         '2'   /* DB2      */
#define DB_KIND_INF         '3'   /* INFORMIX */

/* db_type */
#define DB_TYPE_ORA         1   /* ORACLE   */
#define DB_TYPE_DB2         2   /* DB2      */

/* col_type ״ֶ̬ */
#define SQL_INTEGER          1  /*        */
#define SQL_STRING           2  /* ַ     */

/***************** MCtrlAgtжҵͶ **************************/
/* job_type */
#define        CTRL_DSEE_JOB     1  /* DSEE */
#define        CTRL_DSSE_JOB     2  /* DSSE */
#define        CTRL_CMDJ_JOB     3  /* ͨ */
#define        CTRL_DBSJ_JOB     4  /* 洢ҵ */

/***************** DSҵִзʽ **************************/
/* exec_type */
#define        DSJ_API     1  /* APIʽ */
#define        DSJ_CMD     2  /* commandʽ */

/****************** Ϣ *****************/
#define        MSGKEY      8669 
#define        MSG_SEED    'q'
#define        MSGTYPE     1  

/***************** ·ķָ ***************/
#define       MSG_SPLIT               '\001'  /* | */
#define       PARAM_SPLIT             '\002'  /* : */
#define       PARAM_EQUAL             '\003'  /* = */

/***************** ״̬Ϣ ****************/
#define  MSG_WAIT_FLOW "##"
#define  MSG_WAIT_EVENT "#¼#"
#define  MSG_WAIT_TIME "#ʱδ#"
#define  MSG_RES_LACK  "#Դ#"
#define  MSG_PNODE_LACK  "#޿ýڵ#"

#define DEF_INST_NUM "000000000000000000"

#define IPCMODE    0600

/********************* 쳣 ERR_TYPE *************************/
#define  ERR_DISK           '2'          /* ̿ռ䲻 */
#define  ERR_SERVICE        '3'         /* 쳣 */

/********************* 쳣 ERR_LEVEL *************************/
#define  ERROR          '1'          /*  */
#define  WARN           '2'          /*  */

#define INDEP_OK    0
#define INDEP_GLOBAL 1
#define INDEP_PNODE  2

/** que type **/
#define QUE_WAIT 1
#define QUE_RES  2
#define QUE_DEAL 3

/* demo id */
#define DEMO_ID   "00000000000000000000000000000000"
#define DEMO_INST "00000000000000000000"

/* G_RES_QUE_FLAG */
#define _QUE_DELETE_ 0
#define _QUE_UPDATE_ 1

#ifdef Linux
__asm__(".symver memcpy,memcpy@GLIBC_2.2.5");
#endif

#endif
