> moia_create.log
export DB2OPTIONS='-tv -l moia_create.log'
TABSPC="${MOIATS}"
db2 - <<!
connect to ${DB2USERID};

--t01_idx_object 
DROP TABLE t01_idx_object;
CREATE TABLE t01_idx_object
(
  idx_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_table           varchar(16)       NOT NULL  DEFAULT ' '         ,
  index_key1          varchar(64)       NOT NULL  DEFAULT ' '         ,
  index_key2          varchar(64)       NOT NULL  DEFAULT ' '         ,
  index_key3          varchar(64)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( idx_id )
) ${TABSPC}  ; 


--t02_sms_pubcode ϵͳ
DROP TABLE t02_sms_pubcode;
CREATE TABLE t02_sms_pubcode
(
  code_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  code_name           varchar(50)       NOT NULL  DEFAULT ' '         ,
  code_value          varchar(512)      NOT NULL  DEFAULT ' '         ,
  code_desc           varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( code_id )
) ${TABSPC}  ; 


--t02_sms_user ϵͳû
DROP TABLE t02_sms_user;
CREATE TABLE t02_sms_user
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  login_name          varchar(50)       NOT NULL  DEFAULT ' '         ,
  login_pwd           varchar(50)       NOT NULL  DEFAULT ' '         ,
  user_status         varchar(1)        NOT NULL  DEFAULT '1'         ,
  user_type           varchar(1)        NOT NULL  DEFAULT '1'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT '00000'     ,
  user_name           varchar(64)       NOT NULL  DEFAULT ' '         ,
  user_desc           varchar(256)      NOT NULL  DEFAULT ' '         ,
  user_email          varchar(128)      NOT NULL  DEFAULT ' '         ,
  user_tel            varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_mobile         varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( user_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  user_info_idx1 ON t02_sms_user
( login_name );


--t02_sms_role ϵͳɫ
DROP TABLE t02_sms_role;
CREATE TABLE t02_sms_role
(
  role_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  role_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  role_desc           varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( role_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  role_info_idx1 ON t02_sms_role
( role_name );


--t02_sms_menu ϵͳ˵
DROP TABLE t02_sms_menu;
CREATE TABLE t02_sms_menu
(
  menu_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  menu_name           varchar(64)       NOT NULL  DEFAULT ' '         ,
  menu_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  menu_level          integer           NOT NULL  DEFAULT 0           ,
  parent_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  ctrl_by_pri         varchar(1)        NOT NULL  DEFAULT ' '         ,
  menu_url            varchar(256)      NOT NULL  DEFAULT ' '         ,
  show_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  show_order          integer           NOT NULL  DEFAULT 0           ,
  new_win_flag        varchar(1)        NOT NULL  DEFAULT ' '         ,
  menu_css            varchar(64)       NOT NULL  DEFAULT ' '         ,
  primary key ( menu_id )
) ${TABSPC}  ; 


--t02_sms_org ϵͳ
DROP TABLE t02_sms_org;
CREATE TABLE t02_sms_org
(
  org_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT '00000'     ,
  org_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  org_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  primary key ( org_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  sms_org_idx1 ON t02_sms_org
( org_code );


--t02_sms_user_role ϵͳûɫ
DROP TABLE t02_sms_user_role;
CREATE TABLE t02_sms_user_role
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  role_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,role_id )
) ${TABSPC}  ; 


--t02_sms_role_menu ɫ˵
DROP TABLE t02_sms_role_menu;
CREATE TABLE t02_sms_role_menu
(
  role_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  menu_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( role_id,menu_id )
) ${TABSPC}  ; 


--t02_sms_user_task û
DROP TABLE t02_sms_user_task;
CREATE TABLE t02_sms_user_task
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  oper_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,task_id )
) ${TABSPC}  ; 


--t02_sms_user_plan ûƻ
DROP TABLE t02_sms_user_plan;
CREATE TABLE t02_sms_user_plan
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  oper_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,plan_id )
) ${TABSPC}  ; 


--t02_sms_oper_log ־
DROP TABLE t02_sms_oper_log;
CREATE TABLE t02_sms_oper_log
(
  log_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  login_ip            varchar(20)       NOT NULL  DEFAULT ' '         ,
  oper_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  oper_content        varchar(256)      NOT NULL  DEFAULT ' '         ,
  oper_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC}  ; 


--t02_sms_license_mng Ϣ
DROP TABLE t02_sms_license_mng;
CREATE TABLE t02_sms_license_mng
(
  prd_name            varchar(16)       NOT NULL  DEFAULT ' '         ,
  prd_ver             varchar(8)        NOT NULL  DEFAULT ' '         ,
  auth_user           varchar(64)       NOT NULL  DEFAULT ' '         ,
  lic_type            varchar(12)       NOT NULL  DEFAULT ' '         ,
  max_pnode           integer           NOT NULL  DEFAULT 0           ,
  expire_date         varchar(10)       NOT NULL  DEFAULT ' '         ,
  license             varchar(8)        NOT NULL  DEFAULT ' '         ,
  lic_stat            integer           NOT NULL  DEFAULT 0           ,
  left_dayes          integer           NOT NULL  DEFAULT 0           ,
  rec_date            varchar(10)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  primary key ( prd_name,prd_ver )
) ${TABSPC}  ; 


--t02_sms_group ϵͳȨϢ
DROP TABLE t02_sms_group;
CREATE TABLE t02_sms_group
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  group_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  group_desc          varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( group_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  sms_group_idx1 ON t02_sms_group
( group_name,org_code );


--t02_sms_group_user ϵͳû
DROP TABLE t02_sms_group_user;
CREATE TABLE t02_sms_group_user
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  group_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  primary key ( group_id,user_id )
) ${TABSPC}  ; 


--t02_sms_group_power ûȨޱ
DROP TABLE t02_sms_group_power;
CREATE TABLE t02_sms_group_power
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  res_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  oper_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  primary key ( group_id,res_id,res_type )
) ${TABSPC}  ; 


--t02_sms_music ֱñ
DROP TABLE t02_sms_music;
CREATE TABLE t02_sms_music
(
  music_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  music_path          varchar(512)      NOT NULL  DEFAULT ' '         ,
  close_time          integer           NOT NULL  DEFAULT 0           ,
  close_date          varchar(32)       NOT NULL  DEFAULT ' '         ,
  regain_date         varchar(32)       NOT NULL  DEFAULT ' '         ,
  modify_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  modify_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( music_id )
) ${TABSPC}  ; 


--t02_sms_white 쳣
DROP TABLE t02_sms_white;
CREATE TABLE t02_sms_white
(
  white_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            integer           NOT NULL  DEFAULT 0           ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_inst            varchar(32)       NOT NULL  DEFAULT ' '         ,
  white_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  create_user         varchar(50)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( white_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  sms_white_idx1 ON t02_sms_white
( obj_id,obj_type );


--t02_sms_param ϵͳϢ
DROP TABLE t02_sms_param;
CREATE TABLE t02_sms_param
(
  env_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  scan_time           integer           NOT NULL  DEFAULT 0           ,
  file_log_days       integer           NOT NULL  DEFAULT 0           ,
  tab_log_days        integer           NOT NULL  DEFAULT 0           ,
  max_res_times       integer           NOT NULL  DEFAULT 0           ,
  max_ctrl_times      integer           NOT NULL  DEFAULT 0           ,
  ds_link_flag        varchar(1)        NOT NULL  DEFAULT ' '         ,
  overtime_ratio      integer           NOT NULL  DEFAULT 30          ,
  trace_switch        integer           NOT NULL  DEFAULT 0           ,
  page_rec_num        integer           NOT NULL  DEFAULT 50          ,
  mail_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  msg_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  music_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  mail_addr           varchar(64)       NOT NULL  DEFAULT ' '         ,
  mail_user           varchar(32)       NOT NULL  DEFAULT ' '         ,
  mail_pwd            varchar(32)       NOT NULL  DEFAULT ' '         ,
  mail_server         varchar(64)       NOT NULL  DEFAULT ' '         ,
  mail_port           integer           NOT NULL  DEFAULT 25          ,
  validate_flag       varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         
) ${TABSPC}  ; 


--t02_indep_res ԴϢ
DROP TABLE t02_indep_res;
CREATE TABLE t02_indep_res
(
  indep_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  indep_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  indep_desc          varchar(128)      NOT NULL  DEFAULT ' '         ,
  pnode_limit         integer           NOT NULL  DEFAULT 0           ,
  global_limit        integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( indep_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  indep_res_idx1 ON t02_indep_res
( indep_name );


--t02_var_info 
DROP TABLE t02_var_info;
CREATE TABLE t02_var_info
(
  var_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  var_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  var_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  var_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  var_value           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( var_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  var_info_idx1 ON t02_var_info
( var_name );


--t02_dbs_info ݿϢ
DROP TABLE t02_dbs_info;
CREATE TABLE t02_dbs_info
(
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  res_total           integer           NOT NULL  DEFAULT 0           ,
  job_limit           integer           NOT NULL  DEFAULT 0           ,
  dbs_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( dbs_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  dbs_info_idx1 ON t02_dbs_info
( dbs_name );


--t02_dbs_param ݿ
DROP TABLE t02_dbs_param;
CREATE TABLE t02_dbs_param
(
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_host            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_ip_addr         varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_port            integer           NOT NULL  DEFAULT 0           ,
  dbs_server          varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_user            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_user_pwd        varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( dbs_id )
) ${TABSPC}  ; 


--t02_dbs_stat ݿ״̬
DROP TABLE t02_dbs_stat;
CREATE TABLE t02_dbs_stat
(
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  db_stat             integer           NOT NULL  DEFAULT 0           ,
  dbs_job             integer           NOT NULL  DEFAULT 0           ,
  res_weight          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( dbs_id )
) ${TABSPC}  ; 


--t02_domain_info ڵϢ
DROP TABLE t02_domain_info;
CREATE TABLE t02_domain_info
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_name         varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  domain_info_idx1 ON t02_domain_info
( domain_name );


--t02_domain_server server
DROP TABLE t02_domain_server;
CREATE TABLE t02_domain_server
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  s_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id,s_pnode_id )
) ${TABSPC}  ; 


--t02_domain_client client
DROP TABLE t02_domain_client;
CREATE TABLE t02_domain_client
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  s_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  c_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id,s_pnode_id,c_pnode_id )
) ${TABSPC}  ; 


--t02_proc_info ̷
DROP TABLE t02_proc_info;
CREATE TABLE t02_proc_info
(
  proc_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  proc_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  proc_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( proc_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  proc_info_idx1 ON t02_proc_info
( proc_name,pnode_id );


--t02_proc_stat ̷״̬
DROP TABLE t02_proc_stat;
CREATE TABLE t02_proc_stat
(
  proc_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  cur_ver             varchar(32)       NOT NULL  DEFAULT ' '         ,
  proc_pid            integer           NOT NULL  DEFAULT 0           ,
  proc_stat           integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( proc_id )
) ${TABSPC}  ; 


--t02_pnode_info ڵϢ
DROP TABLE t02_pnode_info;
CREATE TABLE t02_pnode_info
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  pnode_name          varchar(32)       NOT NULL  DEFAULT ' '         ,
  hostname            varchar(32)       NOT NULL  DEFAULT ' '         ,
  pnode_desc          varchar(128)      NOT NULL  DEFAULT ' '         ,
  pnode_role          varchar(1)        NOT NULL  DEFAULT ' '         ,
  ip_addr             varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_port            integer           NOT NULL  DEFAULT 0           ,
  cmd_port            integer           NOT NULL  DEFAULT 0           ,
  udp_port            integer           NOT NULL  DEFAULT 0           ,
  tcp_port            integer           NOT NULL  DEFAULT 0           ,
  clm_port            integer           NOT NULL  DEFAULT 0           ,
  lsnr_port           integer           NOT NULL  DEFAULT 0           ,
  res_total           integer           NOT NULL  DEFAULT 0           ,
  job_limit           integer           NOT NULL  DEFAULT 0           ,
  cpu_limit           integer           NOT NULL  DEFAULT 0           ,
  memory_limit        integer           NOT NULL  DEFAULT 0           ,
  ds_domain           varchar(32)       NOT NULL  DEFAULT ' '         ,
  ds_user             varchar(32)       NOT NULL  DEFAULT ' '         ,
  ds_pwd              varchar(32)       NOT NULL  DEFAULT ' '         ,
  log_path            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( pnode_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  pnode_info_idx1 ON t02_pnode_info
( pnode_name );


--t02_pnode_stat ڵ״̬
DROP TABLE t02_pnode_stat;
CREATE TABLE t02_pnode_stat
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  pnode_stat          integer           NOT NULL  DEFAULT 0           ,
  ds_job              integer           NOT NULL  DEFAULT 0           ,
  cmd_job             integer           NOT NULL  DEFAULT 0           ,
  dbs_job             integer           NOT NULL  DEFAULT 0           ,
  run_job_num         integer           NOT NULL  DEFAULT 0           ,
  wait_job_num        integer           NOT NULL  DEFAULT 0           ,
  res_weight          integer           NOT NULL  DEFAULT 0           ,
  no_res_times        integer           NOT NULL  DEFAULT 0           ,
  no_ctrl_times       integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( pnode_id )
) ${TABSPC}  ; 


--t02_pnode_resinfo ڵԴϢ
DROP TABLE t02_pnode_resinfo;
CREATE TABLE t02_pnode_resinfo
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_location        varchar(512)      NOT NULL  DEFAULT ' '         ,
  res_pools           varchar(512)      NOT NULL  DEFAULT ' '         ,
  res_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( pnode_id,res_name )
) ${TABSPC}  ; 


--t02_pnode_resstat ڵԴ״̬
DROP TABLE t02_pnode_resstat;
CREATE TABLE t02_pnode_resstat
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_stat            varchar(1)        NOT NULL  DEFAULT '0'         ,
  pid_num             integer           NOT NULL  DEFAULT 0           ,
  cpu_num             integer           NOT NULL  DEFAULT 0           ,
  cpu_user            integer           NOT NULL  DEFAULT 0           ,
  cpu_system          integer           NOT NULL  DEFAULT 0           ,
  cpu_iowait          integer           NOT NULL  DEFAULT 0           ,
  cpu_idle            integer           NOT NULL  DEFAULT 0           ,
  mem_physical        integer           NOT NULL  DEFAULT 0           ,
  mem_free            integer           NOT NULL  DEFAULT 0           ,
  mem_used            integer           NOT NULL  DEFAULT 0           ,
  mem_used_per        integer           NOT NULL  DEFAULT 0           ,
  mem_buffered        integer           NOT NULL  DEFAULT 0           ,
  mem_cached          integer           NOT NULL  DEFAULT 0           ,
  swap_free           integer           NOT NULL  DEFAULT 0           ,
  swap_used           integer           NOT NULL  DEFAULT 0           ,
  swap_used_per       integer           NOT NULL  DEFAULT 0           ,
  page_in             integer           NOT NULL  DEFAULT 0           ,
  page_out            integer           NOT NULL  DEFAULT 0           ,
  rep_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( pnode_id )
) ${TABSPC}  ; 


--t02_pnode_jobstat ڵҵ״̬
DROP TABLE t02_pnode_jobstat;
CREATE TABLE t02_pnode_jobstat
(
  res_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  lnodes              integer           NOT NULL  DEFAULT 0           ,
  indep_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_res_weight      integer           NOT NULL  DEFAULT 0           ,
  res_weight          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( res_type,node_id,inst_num,lnodes )
) ${TABSPC}  ; 


--t02_sms_version 汾Ϣ
DROP TABLE t02_sms_version;
CREATE TABLE t02_sms_version
(
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_name        varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_desc        varchar(128)      NOT NULL  DEFAULT ' '         ,
  pre_version         varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_flag        varchar(1)        NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_time         varchar(20)       NOT NULL  DEFAULT ' '         ,
  last_user           varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  primary key ( version_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  version_idx1 ON t02_sms_version
( version_name );


--t02_daily_report ձñ
DROP TABLE t02_daily_report;
CREATE TABLE t02_daily_report
(
  report_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  time_point          varchar(32)       NOT NULL  DEFAULT ' '         ,
  time_inte           integer           NOT NULL  DEFAULT 0           ,
  save_days           integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( report_id )
) ${TABSPC}  ; 


--t02_contacts_person Ϣ
DROP TABLE t02_contacts_person;
CREATE TABLE t02_contacts_person
(
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  person_name         varchar(64)       NOT NULL  DEFAULT ' '         ,
  person_desc         varchar(256)      NOT NULL  DEFAULT ' '         ,
  contacts_email      varchar(128)      NOT NULL  DEFAULT ' '         ,
  contacts_mobile     varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,obj_type,person_name )
) ${TABSPC}  ; 


--t02_ds_proj dsϢ
DROP TABLE t02_ds_proj;
CREATE TABLE t02_ds_proj
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ds_proj_name        varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_proj_stat        integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( pnode_id,ds_proj_name )
) ${TABSPC}  ; 


--t02_ds_job dsҵϢ
DROP TABLE t02_ds_job;
CREATE TABLE t02_ds_job
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ds_proj_name        varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_job_name         varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_job_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( pnode_id,ds_proj_name,ds_job_name )
) ${TABSPC}  ; 


--t02_ds_job_param dsҵϢ
DROP TABLE t02_ds_job_param;
CREATE TABLE t02_ds_job_param
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ds_proj_name        varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_job_name         varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_param_name       varchar(128)      NOT NULL  DEFAULT ' '         ,
  ds_param_desc       varchar(512)      NOT NULL  DEFAULT ' '         ,
  ds_param_type       varchar(1)        NOT NULL  DEFAULT ' '         ,
  ds_des_defval       varchar(512)      NOT NULL  DEFAULT ' '         ,
  ds_param_stat       varchar(1)        NOT NULL  DEFAULT ' '         ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( pnode_id,ds_proj_name,ds_job_name,ds_param_name )
) ${TABSPC}  ; 


--t03_func_bag Ϣ
DROP TABLE t03_func_bag;
CREATE TABLE t03_func_bag
(
  bag_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  bag_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  bag_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( bag_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  func_bag_idx1 ON t03_func_bag
( bag_name );


--t03_func_info Ϣ
DROP TABLE t03_func_info;
CREATE TABLE t03_func_info
(
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  bag_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  func_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  func_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  func_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  task_func           varchar(2048)     NOT NULL  DEFAULT ' '         ,
  proj_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( func_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  func_info_idx1 ON t03_func_info
( func_name );


--t03_func_param 
DROP TABLE t03_func_param;
CREATE TABLE t03_func_param
(
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          integer           NOT NULL  DEFAULT 0           ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  func_param_idx1 ON t03_func_param
( func_id,param_name );


--t03_ctrl_info ؼϢ
DROP TABLE t03_ctrl_info;
CREATE TABLE t03_ctrl_info
(
  ctrl_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  ctrl_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ctrl_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ctrl_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  ctrl_path           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( ctrl_id )
) ${TABSPC}  ; 


--t03_ctrl_param ؼ
DROP TABLE t03_ctrl_param;
CREATE TABLE t03_ctrl_param
(
  ctrl_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  profix_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  ctrl_param_idx1 ON t03_ctrl_param
( ctrl_id,param_name );


--t03_func_plug ñ
DROP TABLE t03_func_plug;
CREATE TABLE t03_func_plug
(
  plug_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plug_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  exec_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  stat_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  log_cmd             varchar(512)      NOT NULL  DEFAULT ' '         ,
  stop_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( plug_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  func_plug_idx1 ON t03_func_plug
( func_id );


--t03_plug_param 
DROP TABLE t03_plug_param;
CREATE TABLE t03_plug_param
(
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plug_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plug_param_idx1 ON t03_plug_param
( plug_id,param_flag,param_name );


--t04_node_info ̽ڵϢ
DROP TABLE t04_node_info;
CREATE TABLE t04_node_info
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  node_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id )
) ${TABSPC}  ; 
CREATE INDEX  node_info_idxc1 ON t04_node_info
( obj_id,obj_type );


--t04_plan_info ƻϢ
DROP TABLE t04_plan_info;
CREATE TABLE t04_plan_info
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  plan_pri            integer           NOT NULL  DEFAULT 0           ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( plan_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plan_info_idx1 ON t04_plan_info
( plan_name );


--t04_plan_node ƻ̽ڵ
DROP TABLE t04_plan_node;
CREATE TABLE t04_plan_node
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_flag           varchar(1)        NOT NULL  DEFAULT '0'         ,
  date_mapp           varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_pri            integer           NOT NULL  DEFAULT 0           ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id )
) ${TABSPC}  ; 
CREATE INDEX  plan_node_idxc1 ON t04_plan_node
( plan_id );


--t04_task_info Ϣ
DROP TABLE t04_task_info;
CREATE TABLE t04_task_info
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  pause_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( task_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  task_info_idx1 ON t04_task_info
( task_name );


--t04_seq_info Ϣ
DROP TABLE t04_seq_info;
CREATE TABLE t04_seq_info
(
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  up_seq_id           varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_level           integer           NOT NULL  DEFAULT 0           ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  seq_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  cut_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( seq_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  seq_info_idx1 ON t04_seq_info
( seq_name );


--t04_job_info ҵϢ
DROP TABLE t04_job_info;
CREATE TABLE t04_job_info
(
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  job_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  chk_msg             varchar(128)      NOT NULL  DEFAULT ' '         ,
  job_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_type         varchar(1)        NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_pri             integer           NOT NULL  DEFAULT 0           ,
  job_weight          integer           NOT NULL  DEFAULT 0           ,
  job_max_pid         integer           NOT NULL  DEFAULT 1           ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  expect_run_time     integer           NOT NULL  DEFAULT 0           ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  fail_trans          varchar(1)        NOT NULL  DEFAULT ' '         ,
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  with_oper_log       varchar(1)        NOT NULL  DEFAULT '0'         ,
  indep_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  pre_shell           varchar(512)      NOT NULL  DEFAULT ' '         ,
  aft_shell           varchar(512)      NOT NULL  DEFAULT ' '         ,
  cut_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( job_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  job_info_idx1 ON t04_job_info
( job_name );


--t04_plan_param ƻ
DROP TABLE t04_plan_param;
CREATE TABLE t04_plan_param
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plan_param_idx1 ON t04_plan_param
( plan_id,param_name );


--t04_plan_node_param ƻڵ
DROP TABLE t04_plan_node_param;
CREATE TABLE t04_plan_node_param
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plan_node_param_idx1 ON t04_plan_node_param
( node_id,param_name );


--t04_task_param 
DROP TABLE t04_task_param;
CREATE TABLE t04_task_param
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  task_param_idx1 ON t04_task_param
( task_id,param_name );


--t04_job_param ҵ
DROP TABLE t04_job_param;
CREATE TABLE t04_job_param
(
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  profix_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  job_param_idx1 ON t04_job_param
( job_id,param_name );


--t04_cale_class 
DROP TABLE t04_cale_class;
CREATE TABLE t04_cale_class
(
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( cale_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  cale_class_idx1 ON t04_cale_class
( cale_name );


--t04_cale_fmt ñ
DROP TABLE t04_cale_fmt;
CREATE TABLE t04_cale_fmt
(
  date_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  date_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  date_fmt            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( date_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  cale_fmt_idx1 ON t04_cale_fmt
( cale_id,date_fmt );


--t04_ret_class ֵඨ
DROP TABLE t04_ret_class;
CREATE TABLE t04_ret_class
(
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_name          varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_desc          varchar(128)      NOT NULL  DEFAULT ' '         ,
  time_inte           integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( class_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  ret_class_idx1 ON t04_ret_class
( class_name );


--t04_ret_code ֵñ
DROP TABLE t04_ret_code;
CREATE TABLE t04_ret_code
(
  code_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  code_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ret_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  time_inte           integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( code_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  ret_code_idx1 ON t04_ret_code
( class_id,ret_code );


--t04_evt_glob_info ȫ¼Ϣ
DROP TABLE t04_evt_glob_info;
CREATE TABLE t04_evt_glob_info
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_name            varchar(192)      NOT NULL  DEFAULT ' '         ,
  evt_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  evt_glob_info_idx1 ON t04_evt_glob_info
( evt_name );


--t04_evt_glob_src ȫ¼Դ
DROP TABLE t04_evt_glob_src;
CREATE TABLE t04_evt_glob_src
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_src_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  trigger_type        varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_src_id )
) ${TABSPC}  ; 


--t04_evt_src_stat ȫ¼Դ״̬
DROP TABLE t04_evt_src_stat;
CREATE TABLE t04_evt_src_stat
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  evt_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  evt_stat            integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,org_code,evt_date,batch_num )
) ${TABSPC}  ; 
CREATE INDEX  evt_src_stat_idxc1 ON t04_evt_src_stat
( ext_column_3 );
CREATE INDEX  evt_src_stat_idxc2 ON t04_evt_src_stat
( ext_column_4 );


--t04_evt_glob_rela ȫ¼
DROP TABLE t04_evt_glob_rela;
CREATE TABLE t04_evt_glob_rela
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_des_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_des_id )
) ${TABSPC}  ; 


--t04_evt_rela_stat ȫ¼״̬
DROP TABLE t04_evt_rela_stat;
CREATE TABLE t04_evt_rela_stat
(
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  obj_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  rela_evt_id         varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_evt_stat       integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( obj_id,org_code,obj_date,batch_num,rela_evt_id )
) ${TABSPC}  ; 
CREATE INDEX  evt_rela_stat_idxc1 ON t04_evt_rela_stat
( ext_column_3 );
CREATE INDEX  evt_rela_stat_idxc2 ON t04_evt_rela_stat
( ext_column_4 );


--t04_evt_flow_info ¼Ϣ
DROP TABLE t04_evt_flow_info;
CREATE TABLE t04_evt_flow_info
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_src_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  evt_flow_info_idx1 ON t04_evt_flow_info
( evt_src_id );


--t04_evt_flow_stat ¼״̬
DROP TABLE t04_evt_flow_stat;
CREATE TABLE t04_evt_flow_stat
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_date            varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_stat            integer           NOT NULL  DEFAULT 0           ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,inst_num )
) ${TABSPC}  ; 
CREATE INDEX  evt_flow_stat_idxc1 ON t04_evt_flow_stat
( ext_column_3 );


--t04_evt_flow_rela ¼
DROP TABLE t04_evt_flow_rela;
CREATE TABLE t04_evt_flow_rela
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_des_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  rela_code           integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_des_id )
) ${TABSPC}  ; 


--t04_evt_trans ȫ¼
DROP TABLE t04_evt_trans;
CREATE TABLE t04_evt_trans
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  env_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,env_name )
) ${TABSPC}  ; 


--t04_evt_send ȫ¼ͱ
DROP TABLE t04_evt_send;
CREATE TABLE t04_evt_send
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  send_ip             varchar(32)       NOT NULL  DEFAULT ' '         ,
  send_port           varchar(20)       NOT NULL  DEFAULT ' '         ,
  send_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,send_ip )
) ${TABSPC}  ; 


--t04_evt_file_src ¼ñ
DROP TABLE t04_evt_file_src;
CREATE TABLE t04_evt_file_src
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  data_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  data_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  data_name           varchar(2048)     NOT NULL  DEFAULT ' '         ,
  db_data             varchar(128)      NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  data_date           varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,data_id )
) ${TABSPC}  ; 


--t04_evt_file_stat ¼״̬
DROP TABLE t04_evt_file_stat;
CREATE TABLE t04_evt_file_stat
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  data_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  file_path           varchar(944)      NOT NULL  DEFAULT ' '         ,
  file_size           varchar(32)       NOT NULL  DEFAULT ' '         ,
  file_time           varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( file_path )
) ${TABSPC}  ; 
CREATE INDEX  evt_file_stat_idxc1 ON t04_evt_file_stat
( create_date );


--t04_evt_glob_trig ¼ƻ
DROP TABLE t04_evt_glob_trig;
CREATE TABLE t04_evt_glob_trig
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,plan_id )
) ${TABSPC}  ; 


--t04_time_plan ƻʱ
DROP TABLE t04_time_plan;
CREATE TABLE t04_time_plan
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  shift_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( plan_id,org_code )
) ${TABSPC}  ; 


--t04_flow_task ͼ
DROP TABLE t04_flow_task;
CREATE TABLE t04_flow_task
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  primary key ( obj_id )
) ${TABSPC}  ; 


--t04_flow_plan ƻͼ
DROP TABLE t04_flow_plan;
CREATE TABLE t04_flow_plan
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  primary key ( obj_id )
) ${TABSPC}  ; 


--t04_flow_global_node ȫͼڵ
DROP TABLE t04_flow_global_node;
CREATE TABLE t04_flow_global_node
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  primary key ( user_id,obj_id )
) ${TABSPC}  ; 


--t04_flow_global_rela ȫͼڵϵ
DROP TABLE t04_flow_global_rela;
CREATE TABLE t04_flow_global_rela
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  pre_obj_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,obj_id,pre_obj_id )
) ${TABSPC}  ; 


--t04_mail_send ʼ
DROP TABLE t04_mail_send;
CREATE TABLE t04_mail_send
(
  plan_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  mail_topic          varchar(128)      NOT NULL  DEFAULT ' '         ,
  mail_content        varchar(512)      NOT NULL  DEFAULT ' '         ,
  primary key ( plan_node_id,user_id )
) ${TABSPC}  ; 


--t04_msg_send ŷ
DROP TABLE t04_msg_send;
CREATE TABLE t04_msg_send
(
  plan_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  msg_content         varchar(512)      NOT NULL  DEFAULT ' '         ,
  primary key ( plan_node_id,user_id )
) ${TABSPC}  ; 


--t04_notice_send ֪ͨñ
DROP TABLE t04_notice_send;
CREATE TABLE t04_notice_send
(
  notice_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  notice_type         varchar(1)        NOT NULL  DEFAULT ' '         ,
  notice_object       varchar(128)      NOT NULL  DEFAULT ' '         ,
  send_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  notice_topic        varchar(128)      NOT NULL  DEFAULT ' '         ,
  notice_content      varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( notice_id )
) ${TABSPC}  ; 
CREATE INDEX  notice_send_idxc1 ON t04_notice_send
( user_id );


--t05_plan_stat ƻ״̬
DROP TABLE t05_plan_stat;
CREATE TABLE t05_plan_stat
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  plan_stat           integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  undo_job            integer           NOT NULL  DEFAULT 0           ,
  wait_job            integer           NOT NULL  DEFAULT 0           ,
  deal_job            integer           NOT NULL  DEFAULT 0           ,
  succ_job            integer           NOT NULL  DEFAULT 0           ,
  fail_job            integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  warn_confirm        varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,plan_inst_num )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plan_stat_idx1 ON t05_plan_stat
( plan_id,plan_inst_num );


--t05_task_stat ״̬
DROP TABLE t05_task_stat;
CREATE TABLE t05_task_stat
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  task_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  task_stat           integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  undo_job            integer           NOT NULL  DEFAULT 0           ,
  wait_job            integer           NOT NULL  DEFAULT 0           ,
  deal_job            integer           NOT NULL  DEFAULT 0           ,
  succ_job            integer           NOT NULL  DEFAULT 0           ,
  fail_job            integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  pause_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,plan_inst_num )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  task_stat_idx1 ON t05_task_stat
( task_id,task_inst_num );
CREATE INDEX  task_stat_idxc1 ON t05_task_stat
( plan_id );


--t05_seq_stat ״̬
DROP TABLE t05_seq_stat;
CREATE TABLE t05_seq_stat
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  up_seq_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_level           integer           NOT NULL  DEFAULT 0           ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  seq_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_stat            integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,task_inst_num )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  seq_stat_idx1 ON t05_seq_stat
( seq_id,task_inst_num );
CREATE INDEX  seq_stat_idxc1 ON t05_seq_stat
( plan_id );
CREATE INDEX  seq_stat_idxc2 ON t05_seq_stat
( task_id );


--t05_job_stat ҵ״̬
DROP TABLE t05_job_stat;
CREATE TABLE t05_job_stat
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  job_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_stat            integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  init_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  event_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  res_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  trans_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,task_inst_num )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  job_stat_idx1 ON t05_job_stat
( job_id,task_inst_num );
CREATE INDEX  job_stat_idxc1 ON t05_job_stat
( plan_id );
CREATE INDEX  job_stat_idxc2 ON t05_job_stat
( task_id );
CREATE INDEX  job_stat_idxc3 ON t05_job_stat
( seq_id );


--t05_func_stat ״̬
DROP TABLE t05_func_stat;
CREATE TABLE t05_func_stat
(
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  bag_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  run_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_stat            integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( func_id )
) ${TABSPC}  ; 
CREATE INDEX  func_stat_idxc1 ON t05_func_stat
( start_time );


--t05_plan_trig_stat ƻ״̬
DROP TABLE t05_plan_trig_stat;
CREATE TABLE t05_plan_trig_stat
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(20)       NOT NULL  DEFAULT ' '         ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  file_name           varchar(1024)     NOT NULL  DEFAULT ' '         ,
  trig_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( plan_id,inst_num )
) ${TABSPC}  ; 
CREATE INDEX  plan_trig_stat_idxc1 ON t05_plan_trig_stat
( evt_id );
CREATE INDEX  plan_trig_stat_idxc2 ON t05_plan_trig_stat
( create_date );


--t05_que_wait б
DROP TABLE t05_que_wait;
CREATE TABLE t05_que_wait
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  func_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  deal_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pri            integer           NOT NULL  DEFAULT 0           ,
  jump_pri            varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_stat           integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_flow_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  evt_glob_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  deal_pid            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  random_num          integer           NOT NULL  DEFAULT 0           ,
  ctrl_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num )
) ${TABSPC}  ; 
CREATE INDEX  que_wait_idxc1 ON t05_que_wait
( seq_id );
CREATE INDEX  que_wait_idxc2 ON t05_que_wait
( task_id );
CREATE INDEX  que_wait_idxc3 ON t05_que_wait
( plan_id );


--t05_que_res б
DROP TABLE t05_que_res;
CREATE TABLE t05_que_res
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  func_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  deal_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pri            integer           NOT NULL  DEFAULT 0           ,
  jump_pri            varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_stat           integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_flow_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  evt_glob_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  deal_pid            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  random_num          integer           NOT NULL  DEFAULT 0           ,
  ctrl_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num )
) ${TABSPC}  ; 
CREATE INDEX  que_res_idxc1 ON t05_que_res
( seq_id );
CREATE INDEX  que_res_idxc2 ON t05_que_res
( task_id );
CREATE INDEX  que_res_idxc3 ON t05_que_res
( plan_id );


--t05_que_deal ִжб
DROP TABLE t05_que_deal;
CREATE TABLE t05_que_deal
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  func_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  deal_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pri            integer           NOT NULL  DEFAULT 0           ,
  jump_pri            varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_stat           integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_flow_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  evt_glob_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  deal_pid            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  random_num          integer           NOT NULL  DEFAULT 0           ,
  ctrl_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num )
) ${TABSPC}  ; 
CREATE INDEX  que_deal_idxc1 ON t05_que_deal
( seq_id );
CREATE INDEX  que_deal_idxc2 ON t05_que_deal
( task_id );
CREATE INDEX  que_deal_idxc3 ON t05_que_deal
( plan_id );
CREATE INDEX  que_deal_idxc3 ON t05_que_deal
( deal_stat );


--t05_que_free նб
DROP TABLE t05_que_free;
CREATE TABLE t05_que_free
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  func_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  deal_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pri            integer           NOT NULL  DEFAULT 0           ,
  jump_pri            varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_stat           integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_flow_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  evt_glob_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  deal_pid            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  random_num          integer           NOT NULL  DEFAULT 0           ,
  ctrl_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num )
) ${TABSPC}  ; 


--t05_que_comp ɶб
DROP TABLE t05_que_comp;
CREATE TABLE t05_que_comp
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  func_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  deal_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_pri            integer           NOT NULL  DEFAULT 0           ,
  jump_pri            varchar(1)        NOT NULL  DEFAULT ' '         ,
  deal_stat           integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  evt_flow_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  evt_glob_flag       varchar(1)        NOT NULL  DEFAULT '0'         ,
  deal_pid            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  random_num          integer           NOT NULL  DEFAULT 0           ,
  ctrl_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num )
) ${TABSPC}  ; 


--t05_plan_param_exec ƻ״̬
DROP TABLE t05_plan_param_exec;
CREATE TABLE t05_plan_param_exec
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num,param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  plan_param_exec_idx1 ON t05_plan_param_exec
( node_id,inst_num,param_name );
CREATE INDEX  plan_param_exec_idxc1 ON t05_plan_param_exec
( ext_column_3 );


--t05_task_param_exec ״̬
DROP TABLE t05_task_param_exec;
CREATE TABLE t05_task_param_exec
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num,param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  task_param_exec_idx1 ON t05_task_param_exec
( node_id,inst_num,param_name );
CREATE INDEX  task_param_exec_idxc1 ON t05_task_param_exec
( ext_column_3 );


--t05_job_param_exec ״̬
DROP TABLE t05_job_param_exec;
CREATE TABLE t05_job_param_exec
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,inst_num,param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  job_param_exec_idx1 ON t05_job_param_exec
( node_id,inst_num,param_name );
CREATE INDEX  job_param_exec_idxc1 ON t05_job_param_exec
( ext_column_3 );


--t05_preset_param_exec ״̬
DROP TABLE t05_preset_param_exec;
CREATE TABLE t05_preset_param_exec
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,task_node_id,plan_inst_num,param_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  preset_param_exec_idx1 ON t05_preset_param_exec
( node_id,task_node_id,plan_inst_num,param_name );


--t05_log_plan ƻ״̬־
DROP TABLE t05_log_plan;
CREATE TABLE t05_log_plan
(
  log_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  plan_stat           integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  undo_job            integer           NOT NULL  DEFAULT 0           ,
  wait_job            integer           NOT NULL  DEFAULT 0           ,
  deal_job            integer           NOT NULL  DEFAULT 0           ,
  succ_job            integer           NOT NULL  DEFAULT 0           ,
  fail_job            integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  warn_confirm        varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC}  ; 
CREATE INDEX  log_plan_idxc1 ON t05_log_plan
( plan_name,plan_date,org_code,plan_inst_num );
CREATE INDEX  log_plan_idxc2 ON t05_log_plan
( start_time );


--t05_log_task ״̬־
DROP TABLE t05_log_task;
CREATE TABLE t05_log_task
(
  log_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  task_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  task_stat           integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  undo_job            integer           NOT NULL  DEFAULT 0           ,
  wait_job            integer           NOT NULL  DEFAULT 0           ,
  deal_job            integer           NOT NULL  DEFAULT 0           ,
  succ_job            integer           NOT NULL  DEFAULT 0           ,
  fail_job            integer           NOT NULL  DEFAULT 0           ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  pause_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC}  ; 
CREATE INDEX  log_task_idxc1 ON t05_log_task
( plan_name,task_name,task_date,org_code,task_inst_num );
CREATE INDEX  log_task_idxc2 ON t05_log_task
( start_time );


--t05_log_seq ״̬־
DROP TABLE t05_log_seq;
CREATE TABLE t05_log_seq
(
  log_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_node_name      varchar(128)      NOT NULL  DEFAULT ' '         ,
  up_seq_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  up_seq_name         varchar(128)      NOT NULL  DEFAULT ' '         ,
  seq_level           integer           NOT NULL  DEFAULT 0           ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  seq_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_stat            integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(128)      NOT NULL  DEFAULT ' '         ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC}  ; 
CREATE INDEX  log_seq_idxc1 ON t05_log_seq
( plan_name,task_name,seq_name,seq_date,org_code,task_inst_num );
CREATE INDEX  log_seq_idxc2 ON t05_log_seq
( start_time );


--t05_log_job ҵ״̬־
DROP TABLE t05_log_job;
CREATE TABLE t05_log_job
(
  log_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_node_name      varchar(128)      NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  func_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  job_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  task_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_stat            integer           NOT NULL  DEFAULT 0           ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  detail_stat         integer           NOT NULL  DEFAULT 0           ,
  stat_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  init_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  event_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  res_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  trans_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  start_time          varchar(20)       NOT NULL  DEFAULT ' '         ,
  end_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  run_time            integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  deal_pnode          varchar(32)       NOT NULL  DEFAULT ' '         ,
  deal_pnode_name     varchar(128)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC}  ; 
CREATE INDEX  log_job_idxc1 ON t05_log_job
( plan_name,task_name,seq_name,job_name,job_date,org_code,task_inst_num );
CREATE INDEX  log_job_idxc2 ON t05_log_job
( start_time );
CREATE INDEX  log_job_idxc3 ON t05_log_job
( job_id );


--t05_job_err_log ҵ־
DROP TABLE t05_job_err_log;
CREATE TABLE t05_job_err_log
(
  plan_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_inst_num       varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_node_id         varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_node_id         varchar(32)       NOT NULL  DEFAULT ' '         ,
  err_msg             varchar(512)      NOT NULL  DEFAULT ' '         ,
  mail_send_flag      varchar(1)        NOT NULL  DEFAULT ' '         ,
  mail_fail_num       integer           NOT NULL  DEFAULT 0           ,
  msg_send_flag       varchar(1)        NOT NULL  DEFAULT ' '         ,
  msg_fail_num        integer           NOT NULL  DEFAULT 0           ,
  create_time         varchar(20)       NOT NULL  DEFAULT ' '         
) ${TABSPC}  ; 
CREATE INDEX  job_err_log_idxc1 ON t05_job_err_log
( plan_node_id,task_node_id,seq_node_id,job_node_id );
CREATE INDEX  job_err_log_idxc2 ON t05_job_err_log
( create_time );


--t05_log_sys_err ϵͳ־
DROP TABLE t05_log_sys_err;
CREATE TABLE t05_log_sys_err
(
  proc_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  file_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  line_num            integer           NOT NULL  DEFAULT 0           ,
  err_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  err_msg             varchar(1024)     NOT NULL  DEFAULT ' '         ,
  log_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  sys_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      
) ${TABSPC}  ; 
CREATE INDEX  log_sys_err_idx1 ON t05_log_sys_err
( proc_name,err_type );


--t05_log_pnode ڵԴ־
DROP TABLE t05_log_pnode;
CREATE TABLE t05_log_pnode
(
  pnode_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  res_stat            varchar(1)        NOT NULL  DEFAULT '0'         ,
  pid_num             integer           NOT NULL  DEFAULT 0           ,
  cpu_num             integer           NOT NULL  DEFAULT 0           ,
  cpu_user            integer           NOT NULL  DEFAULT 0           ,
  cpu_system          integer           NOT NULL  DEFAULT 0           ,
  cpu_iowait          integer           NOT NULL  DEFAULT 0           ,
  cpu_idle            integer           NOT NULL  DEFAULT 0           ,
  mem_physical        integer           NOT NULL  DEFAULT 0           ,
  mem_free            integer           NOT NULL  DEFAULT 0           ,
  mem_used            integer           NOT NULL  DEFAULT 0           ,
  mem_used_per        integer           NOT NULL  DEFAULT 0           ,
  mem_buffered        integer           NOT NULL  DEFAULT 0           ,
  mem_cached          integer           NOT NULL  DEFAULT 0           ,
  swap_free           integer           NOT NULL  DEFAULT 0           ,
  swap_used           integer           NOT NULL  DEFAULT 0           ,
  swap_used_per       integer           NOT NULL  DEFAULT 0           ,
  page_in             integer           NOT NULL  DEFAULT 0           ,
  page_out            integer           NOT NULL  DEFAULT 0           ,
  rep_time            varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      
) ${TABSPC}  ; 
CREATE INDEX  log_pnode_idxc1 ON t05_log_pnode
( pnode_id );
CREATE INDEX  log_pnode_idxc2 ON t05_log_pnode
( rep_time );


--t05_system_stat ϵͳ״̬
DROP TABLE t05_system_stat;
CREATE TABLE t05_system_stat
(
  err_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  err_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  err_level           varchar(1)        NOT NULL  DEFAULT ' '         ,
  err_msg             varchar(512)      NOT NULL  DEFAULT ' '         ,
  sys_date            varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_time         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( err_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  system_err_stat_idx1 ON t05_system_stat
( obj_id,err_type );


--t05_system_err_log ϵͳ־
DROP TABLE t05_system_err_log;
CREATE TABLE t05_system_err_log
(
  err_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  err_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  err_level           varchar(1)        NOT NULL  DEFAULT ' '         ,
  err_msg             varchar(512)      NOT NULL  DEFAULT ' '         ,
  sys_date            varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_time         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( err_id )
) ${TABSPC}  ; 
CREATE INDEX  system_err_log_idxc1 ON t05_system_err_log
( obj_id,err_type,sys_date );


--t05_cnt_plan ƻͳƱ
DROP TABLE t05_cnt_plan;
CREATE TABLE t05_cnt_plan
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  start_date          varchar(8)        NOT NULL  DEFAULT ' '         ,
  end_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  max_cost            integer           NOT NULL  DEFAULT 0           ,
  max_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  avg_cost_value      integer           NOT NULL  DEFAULT 0           ,
  avg_cal_times       integer           NOT NULL  DEFAULT 0           ,
  min_cost            integer           NOT NULL  DEFAULT 0           ,
  min_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( plan_id )
) ${TABSPC}  ; 


--t05_cnt_task ͳƱ
DROP TABLE t05_cnt_task;
CREATE TABLE t05_cnt_task
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  start_date          varchar(8)        NOT NULL  DEFAULT ' '         ,
  end_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  max_cost            integer           NOT NULL  DEFAULT 0           ,
  max_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  avg_cost_value      integer           NOT NULL  DEFAULT 0           ,
  avg_cal_times       integer           NOT NULL  DEFAULT 0           ,
  min_cost            integer           NOT NULL  DEFAULT 0           ,
  min_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( task_id )
) ${TABSPC}  ; 


--t05_cnt_seq ͳƱ
DROP TABLE t05_cnt_seq;
CREATE TABLE t05_cnt_seq
(
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  start_date          varchar(8)        NOT NULL  DEFAULT ' '         ,
  end_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  max_cost            integer           NOT NULL  DEFAULT 0           ,
  max_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  avg_cost_value      integer           NOT NULL  DEFAULT 0           ,
  avg_cal_times       integer           NOT NULL  DEFAULT 0           ,
  min_cost            integer           NOT NULL  DEFAULT 0           ,
  min_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( seq_id )
) ${TABSPC}  ; 


--t05_cnt_job ҵͳƱ
DROP TABLE t05_cnt_job;
CREATE TABLE t05_cnt_job
(
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  start_date          varchar(8)        NOT NULL  DEFAULT ' '         ,
  end_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  max_cost            integer           NOT NULL  DEFAULT 0           ,
  max_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  avg_cost_value      integer           NOT NULL  DEFAULT 0           ,
  avg_cal_times       integer           NOT NULL  DEFAULT 0           ,
  min_cost            integer           NOT NULL  DEFAULT 0           ,
  min_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  avg_scha_value      integer           NOT NULL  DEFAULT 0           ,
  avg_init_time       varchar(20)       NOT NULL  DEFAULT ' '         ,
  avg_event_time      varchar(20)       NOT NULL  DEFAULT ' '         ,
  avg_res_time        varchar(20)       NOT NULL  DEFAULT ' '         ,
  avg_start_time      varchar(20)       NOT NULL  DEFAULT ' '         ,
  avg_end_time        varchar(20)       NOT NULL  DEFAULT ' '         ,
  primary key ( job_id )
) ${TABSPC}  ; 


--t06_indep_res_ver ԴϢ汾
DROP TABLE t06_indep_res_ver;
CREATE TABLE t06_indep_res_ver
(
  indep_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  indep_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  indep_desc          varchar(128)      NOT NULL  DEFAULT ' '         ,
  pnode_limit         integer           NOT NULL  DEFAULT 0           ,
  global_limit        integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( indep_id,version_id )
) ${TABSPC}  ; 


--t06_dbs_info_ver ݿϢ汾
DROP TABLE t06_dbs_info_ver;
CREATE TABLE t06_dbs_info_ver
(
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  res_total           integer           NOT NULL  DEFAULT 0           ,
  job_limit           integer           NOT NULL  DEFAULT 0           ,
  dbs_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( dbs_id,version_id )
) ${TABSPC}  ; 


--t06_dbs_param_ver ݿ汾
DROP TABLE t06_dbs_param_ver;
CREATE TABLE t06_dbs_param_ver
(
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_host            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_ip_addr         varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_port            integer           NOT NULL  DEFAULT 0           ,
  dbs_server          varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_name            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_user            varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_user_pwd        varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( dbs_id,version_id )
) ${TABSPC}  ; 


--t06_domain_info_ver etlڵϢ汾
DROP TABLE t06_domain_info_ver;
CREATE TABLE t06_domain_info_ver
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_name         varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id,version_id )
) ${TABSPC}  ; 


--t06_domain_server_ver etlserver汾
DROP TABLE t06_domain_server_ver;
CREATE TABLE t06_domain_server_ver
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  s_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id,s_pnode_id,version_id )
) ${TABSPC}  ; 


--t06_domain_client_ver etlclient汾
DROP TABLE t06_domain_client_ver;
CREATE TABLE t06_domain_client_ver
(
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  s_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  c_pnode_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( domain_id,s_pnode_id,c_pnode_id,version_id )
) ${TABSPC}  ; 


--t06_cale_class_ver ඨ汾
DROP TABLE t06_cale_class_ver;
CREATE TABLE t06_cale_class_ver
(
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( cale_id,version_id )
) ${TABSPC}  ; 


--t06_cale_fmt_ver Ϣ汾
DROP TABLE t06_cale_fmt_ver;
CREATE TABLE t06_cale_fmt_ver
(
  date_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  date_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  date_fmt            varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( date_id,version_id )
) ${TABSPC}  ; 


--t06_ret_class_ver ֵ汾
DROP TABLE t06_ret_class_ver;
CREATE TABLE t06_ret_class_ver
(
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_name          varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_desc          varchar(128)      NOT NULL  DEFAULT ' '         ,
  time_inte           integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( class_id,version_id )
) ${TABSPC}  ; 


--t06_ret_code_ver ֵ汾
DROP TABLE t06_ret_code_ver;
CREATE TABLE t06_ret_code_ver
(
  code_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  ret_code            integer           NOT NULL  DEFAULT 0           ,
  code_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ret_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  time_inte           integer           NOT NULL  DEFAULT 0           ,
  redo_times          integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( code_id,version_id )
) ${TABSPC}  ; 


--t06_func_bag_ver 汾
DROP TABLE t06_func_bag_ver;
CREATE TABLE t06_func_bag_ver
(
  bag_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  bag_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  bag_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( bag_id,version_id )
) ${TABSPC}  ; 


--t06_func_info_ver 汾
DROP TABLE t06_func_info_ver;
CREATE TABLE t06_func_info_ver
(
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  bag_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  func_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  func_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  func_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  task_func           varchar(2048)     NOT NULL  DEFAULT ' '         ,
  proj_name           varchar(32)       NOT NULL  DEFAULT ' '         ,
  dbs_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  multi_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( func_id,version_id )
) ${TABSPC}  ; 


--t06_func_param_ver 汾
DROP TABLE t06_func_param_ver;
CREATE TABLE t06_func_param_ver
(
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          integer           NOT NULL  DEFAULT 0           ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_ctrl_info_ver ؼ汾
DROP TABLE t06_ctrl_info_ver;
CREATE TABLE t06_ctrl_info_ver
(
  ctrl_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  ctrl_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ctrl_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  ctrl_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  ctrl_path           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( ctrl_id,version_id )
) ${TABSPC}  ; 


--t06_ctrl_param_ver ؼ汾
DROP TABLE t06_ctrl_param_ver;
CREATE TABLE t06_ctrl_param_ver
(
  ctrl_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          integer           NOT NULL  DEFAULT 0           ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  profix_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_node_info_ver ڵϢ汾
DROP TABLE t06_node_info_ver;
CREATE TABLE t06_node_info_ver
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  node_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,version_id )
) ${TABSPC}  ; 


--t06_plan_info_ver ƻϢ汾
DROP TABLE t06_plan_info_ver;
CREATE TABLE t06_plan_info_ver
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  plan_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  plan_pri            integer           NOT NULL  DEFAULT 0           ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( plan_id,version_id )
) ${TABSPC}  ; 


--t06_plan_node_ver ƻڵ汾
DROP TABLE t06_plan_node_ver;
CREATE TABLE t06_plan_node_ver
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_flag           varchar(1)        NOT NULL  DEFAULT ' '         ,
  date_mapp           varchar(32)       NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_pri            integer           NOT NULL  DEFAULT 0           ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( node_id,version_id )
) ${TABSPC}  ; 


--t06_task_info_ver Ϣ汾
DROP TABLE t06_task_info_ver;
CREATE TABLE t06_task_info_ver
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  task_name           varchar(128)      NOT NULL  DEFAULT ' '         ,
  task_desc           varchar(128)      NOT NULL  DEFAULT ' '         ,
  pause_flag          varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( task_id,version_id )
) ${TABSPC}  ; 


--t06_seq_info_ver Ϣ汾
DROP TABLE t06_seq_info_ver;
CREATE TABLE t06_seq_info_ver
(
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  up_seq_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_level           integer           NOT NULL  DEFAULT 0           ,
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  seq_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  cut_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT '0'         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( seq_id,version_id )
) ${TABSPC}  ; 


--t06_job_info_ver ҵϢ汾
DROP TABLE t06_job_info_ver;
CREATE TABLE t06_job_info_ver
(
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT '0'         ,
  task_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT '0'         ,
  job_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  job_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  chk_msg             varchar(128)      NOT NULL  DEFAULT ' '         ,
  job_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  domain_type         varchar(1)        NOT NULL  DEFAULT ' '         ,
  domain_id           varchar(32)       NOT NULL  DEFAULT ' '         ,
  job_pri             integer           NOT NULL  DEFAULT 0           ,
  job_weight          integer           NOT NULL  DEFAULT 0           ,
  job_max_pid         integer           NOT NULL  DEFAULT 1           ,
  cale_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  expect_run_time     integer           NOT NULL  DEFAULT 0           ,
  over_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  fail_trans          varchar(1)        NOT NULL  DEFAULT ' '         ,
  class_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  with_oper_log       varchar(1)        NOT NULL  DEFAULT ' '         ,
  indep_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  pre_shell           varchar(512)      NOT NULL  DEFAULT ' '         ,
  aft_shell           varchar(512)      NOT NULL  DEFAULT ' '         ,
  cut_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  avb_flag            varchar(1)        NOT NULL  DEFAULT ' '         ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  last_modify         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( job_id,version_id )
) ${TABSPC}  ; 


--t06_plan_param_ver ƻ汾
DROP TABLE t06_plan_param_ver;
CREATE TABLE t06_plan_param_ver
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_plan_node_param_ver ƻ̽ڵ汾
DROP TABLE t06_plan_node_param_ver;
CREATE TABLE t06_plan_node_param_ver
(
  node_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_task_param_ver 汾
DROP TABLE t06_task_param_ver;
CREATE TABLE t06_task_param_ver
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_job_param_ver ҵ汾
DROP TABLE t06_job_param_ver;
CREATE TABLE t06_job_param_ver
(
  job_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  param_profix        varchar(8)        NOT NULL  DEFAULT ' '         ,
  profix_desc         varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_val           varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_evt_glob_info_ver ȫ¼汾
DROP TABLE t06_evt_glob_info_ver;
CREATE TABLE t06_evt_glob_info_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_name            varchar(192)      NOT NULL  DEFAULT ' '         ,
  evt_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,version_id )
) ${TABSPC}  ; 


--t06_evt_glob_src_ver ȫ¼Դ汾
DROP TABLE t06_evt_glob_src_ver;
CREATE TABLE t06_evt_glob_src_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_src_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  trigger_type        varchar(1)        NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_src_id,version_id )
) ${TABSPC}  ; 


--t06_evt_glob_rela_ver ȫ¼汾
DROP TABLE t06_evt_glob_rela_ver;
CREATE TABLE t06_evt_glob_rela_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_des_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_des_id,version_id )
) ${TABSPC}  ; 


--t06_evt_send_ver ȫ¼Ͱ汾
DROP TABLE t06_evt_send_ver;
CREATE TABLE t06_evt_send_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  send_ip             varchar(32)       NOT NULL  DEFAULT ' '         ,
  send_port           varchar(20)       NOT NULL  DEFAULT ' '         ,
  send_msg            varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,send_ip,version_id )
) ${TABSPC}  ; 


--t06_evt_flow_info_ver ¼汾
DROP TABLE t06_evt_flow_info_ver;
CREATE TABLE t06_evt_flow_info_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_src_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,version_id )
) ${TABSPC}  ; 


--t06_evt_flow_rela_ver ¼汾
DROP TABLE t06_evt_flow_rela_ver;
CREATE TABLE t06_evt_flow_rela_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  evt_des_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  rela_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  rela_code           integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( evt_id,evt_des_id,version_id )
) ${TABSPC}  ; 


--t06_idx_object_ver 汾
DROP TABLE t06_idx_object_ver;
CREATE TABLE t06_idx_object_ver
(
  idx_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_desc            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_table           varchar(16)       NOT NULL  DEFAULT ' '         ,
  index_key1          varchar(64)       NOT NULL  DEFAULT ' '         ,
  index_key2          varchar(64)       NOT NULL  DEFAULT ' '         ,
  index_key3          varchar(64)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT 'NULL'      ,
  primary key ( idx_id,version_id )
) ${TABSPC}  ; 


--t06_flow_task_ver ̰汾
DROP TABLE t06_flow_task_ver;
CREATE TABLE t06_flow_task_ver
(
  task_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  seq_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,version_id )
) ${TABSPC}  ; 


--t06_flow_plan_ver ƻ̰汾
DROP TABLE t06_flow_plan_ver;
CREATE TABLE t06_flow_plan_ver
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,version_id )
) ${TABSPC}  ; 


--t06_flow_global_node_ver ȫͼڵ汾
DROP TABLE t06_flow_global_node_ver;
CREATE TABLE t06_flow_global_node_ver
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,obj_id,version_id )
) ${TABSPC}  ; 


--t06_flow_global_rela_ver ȫͼ汾
DROP TABLE t06_flow_global_rela_ver;
CREATE TABLE t06_flow_global_rela_ver
(
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  pre_obj_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( user_id,obj_id,pre_obj_id,version_id )
) ${TABSPC}  ; 


--t06_mail_send_ver ʼͰ汾
DROP TABLE t06_mail_send_ver;
CREATE TABLE t06_mail_send_ver
(
  plan_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  mail_topic          varchar(128)      NOT NULL  DEFAULT ' '         ,
  mail_content        varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( plan_node_id,user_id,version_id )
) ${TABSPC}  ; 


--t06_msg_send_ver ŷͰ汾
DROP TABLE t06_msg_send_ver;
CREATE TABLE t06_msg_send_ver
(
  plan_node_id        varchar(32)       NOT NULL  DEFAULT ' '         ,
  user_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  msg_content         varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( plan_node_id,user_id,version_id )
) ${TABSPC}  ; 


--t06_evt_file_src_ver ¼ð汾
DROP TABLE t06_evt_file_src_ver;
CREATE TABLE t06_evt_file_src_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  data_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  data_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  data_name           varchar(2048)     NOT NULL  DEFAULT ' '         ,
  db_data             varchar(128)      NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  data_date           varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,data_id,version_id )
) ${TABSPC}  ; 


--t06_evt_trans_ver ȫ¼汾
DROP TABLE t06_evt_trans_ver;
CREATE TABLE t06_evt_trans_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  env_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,env_name,version_id )
) ${TABSPC}  ; 


--t06_func_plug_ver 汾
DROP TABLE t06_func_plug_ver;
CREATE TABLE t06_func_plug_ver
(
  plug_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  func_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plug_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  exec_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  stat_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  log_cmd             varchar(512)      NOT NULL  DEFAULT ' '         ,
  stop_cmd            varchar(512)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( plug_id,version_id )
) ${TABSPC}  ; 


--t06_plug_param_ver 汾
DROP TABLE t06_plug_param_ver;
CREATE TABLE t06_plug_param_ver
(
  param_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  plug_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  param_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  param_flag          varchar(1)        NOT NULL  DEFAULT ' '         ,
  param_order         integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( param_id,version_id )
) ${TABSPC}  ; 


--t06_evt_glob_trig_ver ¼ƻ汾
DROP TABLE t06_evt_glob_trig_ver;
CREATE TABLE t06_evt_glob_trig_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,plan_id,version_id )
) ${TABSPC}  ; 


--t06_contacts_person_ver Ϣ汾
DROP TABLE t06_contacts_person_ver;
CREATE TABLE t06_contacts_person_ver
(
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  person_name         varchar(64)       NOT NULL  DEFAULT ' '         ,
  person_desc         varchar(256)      NOT NULL  DEFAULT ' '         ,
  contacts_email      varchar(128)      NOT NULL  DEFAULT ' '         ,
  contacts_mobile     varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,obj_type,person_name,version_id )
) ${TABSPC}  ; 


--t10_app_redis Ӧϵͳreids
DROP TABLE t10_app_redis;
CREATE TABLE t10_app_redis
(
  redis_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  redis_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  redis_desc          varchar(256)      NOT NULL  DEFAULT ' '         ,
  conn_str            varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( redis_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  app_redis_idx1 ON t10_app_redis
( redis_name );


--t10_app_sys Ӧϵͳ
DROP TABLE t10_app_sys;
CREATE TABLE t10_app_sys
(
  sys_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  sys_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  sys_desc            varchar(256)      NOT NULL  DEFAULT ' '         ,
  redis_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  queue_name          varchar(256)      NOT NULL  DEFAULT ' '         ,
  sys_stat            varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( sys_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  app_sys_idx1 ON t10_app_sys
( sys_name );


--t10_app_send_objstat Ӧϵͳ״̬
DROP TABLE t10_app_send_objstat;
CREATE TABLE t10_app_send_objstat
(
  sys_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_stat            integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( sys_id,obj_stat )
) ${TABSPC}  ; 


--t10_app_send_objtype Ӧϵͳñ
DROP TABLE t10_app_send_objtype;
CREATE TABLE t10_app_send_objtype
(
  send_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  sys_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  push_plan           varchar(1)        NOT NULL  DEFAULT ' '         ,
  push_task           varchar(1)        NOT NULL  DEFAULT ' '         ,
  push_seq            varchar(1)        NOT NULL  DEFAULT ' '         ,
  push_job            varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( send_id )
) ${TABSPC}  ; 
CREATE UNIQUE INDEX  app_send_objtype_idx1 ON t10_app_send_objtype
( sys_id,plan_id );


--t10_app_send_queue Ӧϵͳͱ
DROP TABLE t10_app_send_queue;
CREATE TABLE t10_app_send_queue
(
  que_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_name            varchar(128)      NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  obj_date            varchar(8)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  obj_stat            integer           NOT NULL  DEFAULT 0           ,
  change_time         varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_time         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( que_id )
) ${TABSPC}  ; 
CREATE INDEX  app_send_queue_idxc1 ON t10_app_send_queue
( plan_id );
CREATE INDEX  app_send_queue_idxc2 ON t10_app_send_queue
( create_time,obj_stat );

quit;

!

echo "Database parameter tables(Server) create successfully!!"
