#!/bin/sh

rm -f $MOIADIR/data/deal_job_queue.s3db
rm -f $MOIADIR/data/fin_job_list.s3db
rm -f $MOIADIR/data/slave_db.s3db

sqlite3 $MOIADIR/data/deal_job_queue.s3db <<!
CREATE TABLE IF NOT EXISTS sql3_deal_job_queue
(   job_id       text,
    inst_num     text,
    deal_date    text,
    deal_job_str text,
    deal_pid     integer,
    lost_flag    integer,
    primary key (job_id,inst_num)
);

CREATE TABLE IF NOT EXISTS sql3_fin_job_list
(   job_id       text,
    inst_num     text,
    primary key (job_id,inst_num)
);
.exit
!

sqlite3 $MOIADIR/data/fin_job_list.s3db <<!
CREATE TABLE IF NOT EXISTS sql3_fin_job_list
(   job_id       text,
    inst_num     text,
    deal_flag    integer,
    primary key (job_id,inst_num)
);
.exit
!

sqlite3 $MOIADIR/data/slave_db.s3db <<!
CREATE TABLE IF NOT EXISTS t02_pnode_info
(
  pnode_id            text, 
  pnode_name          text, 
  hostname            text, 
  pnode_desc          text, 
  pnode_role          text, 
  ip_addr             text, 
  evt_port            integer,
  cmd_port            integer,
  udp_port            integer,
  tcp_port            integer,
  clm_port            integer,
  lsnr_port           integer,
  res_total           integer,
  job_limit           integer,
  cpu_limit           integer,
  memory_limit        integer,
  ds_domain           text,
  ds_user             text,
  ds_pwd              text,
  log_path            text,
  ext_column_1        integer,
  ext_column_2        integer,
  ext_column_3        text,
  ext_column_4        text,
  primary key ( pnode_id )
);

CREATE TABLE IF NOT EXISTS t02_proc_info
(
  proc_id             text,
  proc_name           text,
  pnode_id            text,
  proc_desc           text,
  ext_column_1        integer,
  ext_column_2        integer,
  ext_column_3        text,
  ext_column_4        text,
  primary key ( proc_id )
);

CREATE TABLE IF NOT EXISTS t02_proc_stat
(
  proc_id             text,
  cur_ver             text,
  proc_pid            text,
  proc_stat           text,
  stat_msg            text,
  ext_column_1        integer,
  ext_column_2        integer,
  ext_column_3        text,
  ext_column_4        text,
  primary key ( proc_id )
);

CREATE TABLE IF NOT EXISTS t04_net_task_stat
(
  object_id           text,
  inst_num            text,
  trans_type          text,
  trans_info          text,
  trans_stat          text,
  trans_stat_desc     text,
  trans_times         integer,
  send_date           text,
  send_time           text,
  ext_column_1        integer,
  ext_column_2        integer,
  ext_column_3        text,
  ext_column_4        text,
  primary key ( object_id,inst_num,trans_type )
);

CREATE TABLE IF NOT EXISTS t04_net_task_log
(
  object_id           text,
  inst_num            text,
  trans_type          text,
  trans_info          text,
  trans_stat          text,
  trans_stat_desc     text,
  trans_times         integer,
  send_date           text,
  send_time           text,
  ext_column_1        integer,
  ext_column_2        integer,
  ext_column_3        text,
  ext_column_4        text
);

.exit
!
