#!/bin/sh

while getopts "o:f:" arg
do
        case $arg in
             o)
                osver=$OPTARG
             ;;
             f)
                logfile=$OPTARG
             ;;
             *)
              echo "unkonw argument";exit 1;;

        esac
done

echo_flag=yes
echo_flag=no

PROCNUM=`ps -ef | wc -l`
CPU_NUMBER=`dmesg | awk '/Brought up/ { print $3 }'`
CPU_NUMBER=`dmesg | grep "Brought up" | sed -e 's/.*Brought up //g' | cut -d' ' -f1`

RESFILE=/tmp/RESFILE.$$
#sar -rBu 1 1 | grep -E 'Average|ƽʱ' > $RESFILE
sar -rBu 1 1 |sed -e '/^$/d' | tail -n 6 > $RESFILE

################# CPU STAT INFO #################
CPUINFO=`cat $RESFILE | awk '{ if (NR == 1) print $2,$3,$4,$5,$6,$7,$8 }'`
CPUSTAT=`cat $RESFILE | awk '{ if (NR == 2) print $2,$3,$4,$5,$6,$7,$8 }'`

CPU_USER=0
CPU_SYSTEM=0
CPU_IOWAIT=0
CPU_IDLE=0

if [ "X${echo_flag}" = "Xyes" ]
then
    echo "$CPUINFO"
    echo "$CPUSTAT"
fi

pos=1
for info in $CPUINFO
do
    case $info in
    %user)
        CPU_USER=`echo $CPUSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%user, pos=[${pos}] [${CPU_USER}]" 
fi
        ;;
    %system)
        CPU_SYSTEM=`echo $CPUSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%system, pos=[${pos}] [${CPU_SYSTEM}]" 
fi
        ;;
    %iowait)
        CPU_IOWAIT=`echo $CPUSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%iowait, pos=[${pos}] [${CPU_IOWAIT}]" 
fi
        ;;
    %idle)
        CPU_IDLE=`echo $CPUSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%idle, pos=[${pos}] [${CPU_IDLE}]" 
fi
        ;;
    *)
        ;;
    esac
    pos=`expr ${pos} + 1`
done

################# BUFF STAT INFO #################
BUFFINFO=`cat $RESFILE | awk '{ if (NR == 3) print $2,$3,$4,$5 }'`
BUFFSTAT=`cat $RESFILE | awk '{ if (NR == 4) print $2,$3,$4,$5 }'`

if [ "X${echo_flag}" = "Xyes" ]
then
    echo "$BUFFINFO"
    echo "$BUFFSTAT"
fi

PAGE_IN=0
PAGE_OUT=0

pos=1
for info in $BUFFINFO
do
    case $info in
    pgpgin/s)
        PAGE_IN=`echo $BUFFSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "pgpgin/s, pos=[${pos}] [${PAGE_IN}]" 
fi
        ;;
    pgpgout/s)
        PAGE_OUT=`echo $BUFFSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "pgpgout/s pos=[${pos}] [${PAGE_OUT}]" 
fi
        ;;
    *)
        ;;
    esac
    pos=`expr ${pos} + 1`
done

################# MEM STAT INFO #################
MEMINFO=`cat $RESFILE|awk '{ if (NR == 5) print $2,$3,$4,$5,$6,$7,$8,$9,$10 }'`
MEMSTAT=`cat $RESFILE|awk '{ if (NR == 6) print $2,$3,$4,$5,$6,$7,$8,$9,$10 }'`

if [ "X${echo_flag}" = "Xyes" ]
then
    echo "$MEMINFO"
    echo "$MEMSTAT"
fi

MEM_FREE=0
MEM_USED=0
MEM_USED_PERCENT=0
MEM_BUFFERED=0
MEM_CACHED=0
SWAP_FREE=0
SWAP_USED=0
SWAP_USED_PERCENT=0

pos=1
for info in $MEMINFO
do
    case $info in
    kbmemfree)
        MEM_FREE=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbmemfree, pos=[${pos}] [${MEM_FREE}]" 
fi
        ;;
    kbmemused)
        MEM_USED=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbmemused, pos=[${pos}] [${MEM_USED}]" 
fi
        ;;
    %memused)
        MEM_USED_PERCENT=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%memused, pos=[${pos}] [${MEM_USED_PERCENT}]" 
fi
        ;;
    kbbuffers)
        MEM_BUFFERED=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbbuffers, pos=[${pos}] [${MEM_BUFFERED}]" 
fi
        ;;
    kbcached)
        MEM_CACHED=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbcached, pos=[${pos}] [${MEM_CACHED}]" 
fi
        ;;
    kbswpfree)
        SWAP_FREE=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbswpfree, pos=[${pos}] [${SWAP_FREE}]" 
fi
        ;;
    kbswpused)
        SWAP_USED=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "kbswpused, pos=[${pos}] [${SWAP_USED}]" 
fi
        ;;
    %swpused)
        SWAP_USED_PERCENT=`echo $MEMSTAT | cut -d" " -f${pos}`
if [ "X${echo_flag}" = "Xyes" ]
then
echo "%swpused, pos=[${pos}] [${SWAP_USED_PERCENT}]" 
fi
        ;;
    *)
        ;;
    esac
    pos=`expr ${pos} + 1`
done


#swapظΪ̿ռ
if [ X$logfile != "X" ];then
df_str=`df -P $logfile|sed -n '2p'`
SWAP_FREE=`echo $df_str|awk '{print $4}'`
SWAP_USED=`echo $df_str|awk '{print $3}'`
SWAP_USED_PERCENT=`echo $df_str|awk '{print $5}'`
fi

#LINUX ȡõMEMλΪK, ҪΪM
MEM_TOTAL_ALL=`expr $MEM_FREE + $MEM_USED`
MEM_FREE_ALL=`expr $MEM_FREE + $MEM_BUFFERED + $MEM_CACHED`
MEM_USED_ALL=`expr $MEM_TOTAL_ALL - $MEM_FREE_ALL`


MEM_FREE=`expr $MEM_FREE_ALL / 1024`
MEM_USED=`expr $MEM_USED_ALL / 1024`
MEM_TOTAL=`expr $MEM_TOTAL_ALL / 1024`
MEM_BUFFERED=`expr $MEM_BUFFERED / 1024`
MEM_CACHED=`expr $MEM_CACHED / 1024`
SWAP_FREE=`expr $SWAP_FREE / 1024`
SWAP_USED=`expr $SWAP_USED / 1024`

MEM_USED_PERCENT=`awk -v x=$MEM_USED -v y=$MEM_TOTAL 'BEGIN {printf "%.2f",x*100/y}'`


echo "$PROCNUM|$CPU_NUMBER|$CPU_USER|$CPU_SYSTEM|$CPU_IOWAIT|$CPU_IDLE|$MEM_TOTAL|$MEM_FREE|$MEM_USED|$MEM_USED_PERCENT|$MEM_BUFFERED|$MEM_CACHED|$SWAP_FREE|$SWAP_USED|$SWAP_USED_PERCENT|$PAGE_IN|$PAGE_OUT"

rm -f $RESFILE
exit 0
