#!/bin/sh
date=`date "+%Y%m%d"`
ret=0

Usage()
{
    echo "Usage: $0 <tarfile> <ipaddr> <port> [hostflag] [updsql]"
    echo "" 
    ret=1
    return 
} 

check_proc_active()
{
    if test X$INSTMODE = "XSRV";then
        proc_list="MAppSend  MClmSrv  MCmdSrv  MCtrlSrv  MDataSync  MTaskDec  MTaskRes  MTaskScan  MTimeScan"
    else
        proc_list="MClmAgt"
    fi
    for proc in $proc_list
    do
        pid=`cat $dir/data/$proc`
        kill -s 0 $pid
        if test $? -ne 0;then
            ret=1
            echo "proc:$proc is not active"
            break
        else
            echo "proc:$proc is active"
            ret=0
        fi
    done
}

update_data()
{
    echo "Stop Moia service ..." 
    $dir/sbin/moia_down

    echo "Backup dir $dir/bin -> $dir/bin.$date" 
    cp -rf $dir/bin $dir/bin.$date  
    if test $? -ne 0;then
        echo "Backup dir failed!"
        ret=1
        return
    fi

    echo "Backup dir $dir/lib -> $dir/lib.$date" 
    cp -rf $dir/lib $dir/lib.$date  
    if test $? -ne 0;then
        echo "Backup dir failed!"
        ret=1
        return
    fi

    if test "X$INSTMODE" = "XSRV" -a "X$DBTYPE" = "XDB2";then
        echo "Backup dir $dir/bnd -> $dir/bnd.$date" 
        cp -rf $dir/bnd $dir/bnd.$date  
        if test $? -ne 0;then
            echo "Backup dir failed!"
            ret=1
            return
        fi
    fi

    echo "Decompression tar file: $bagfile"
    tar -zxvf $dir/$bagfile -C $dir/ 
    if test $? -ne 0;then
        echo "Decompression file failed!" 
        ret=1
        return 
    fi

    if test "X$updsql" != "X" ;then
        echo "execute sql:$updsql"
        sh $updsql
    fi

    if test "X$INSTMODE" = "XSRV" -a "X$DBTYPE" = "XDB2" -a "X$hostflag" = "X1";then
        $dir/sbin/DB2_BND.sh
        if test $? -ne 0;then
            echo "db2 bind file failed!"
            ret=1
            return
        fi
    fi

    echo "Startup Moia service ..." 
    $dir/sbin/startup.sh  
    check_proc_active

    echo "Moia Control update finished..."
    return
}

send_msg()
{
    if test "X$hostflag" = "X1";then
        return
    fi
    echo "send upgrade respond msg" 
    if test "X$ret" = "X1";then
        send_msg="0|${MOIA_PNODE_NAME}"
    else
        send_msg="1|${MOIA_PNODE_NAME}"
    fi
    $dir/bin/MMsgSend -d $upaddr -p $port -s "$send_msg" 
}

dir=$MOIADIR
#dir=`echo $0|sed -e 's/\/sbin.*//g'` 
#. $dir/env/moia.env

file=$dir/upgrade.log
>$file

if test $# -ne 3 -a $# -ne 4 -a $# -ne 5;then
    Usage
    send_msg
    exit -1
fi

bagfile=$1
upaddr=$2
port=$3
hostflag=$4
updsql=$5

update_data >> $file 
send_msg  >> $file 
exit $ret
